Subject: bug#1246: closed (Re: bug#1246: Bug : 23.0.60; "customize emacs" overwrites "custom-set-variables" in .emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 02:10:03 +0000

Your bug report

#1246: Bug : 23.0.60; "customize emacs" overwrites "custom-set-variables" in .emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1246: Bug : 23.0.60; "customize emacs" overwrites "custom-set-variables" in .emacs
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 22:09:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This absolutely isn't supposed to happen. The whole purpose of customize
would be defeated and there would be lots of bug reports.
But since there aren't lots of these reports, I'm afraid the problem
must have been something peculiar to your settings somehow.
(Random guess: maybe you had multiple custom-set-variables sections - as
it says there must be only one.)

Without a reproducible recipe showing us how you got into this state,
I'm afraid there is nothing we can do.

If you have such info, please reply and we can reopen this report.

You can view the whole report at http://debbugs.gnu.org/BUGNUMBER

>From [email-masked] Fri Oct 24 17:30:48 2008
Date: Fri, 24 Oct 2008 20:30:38 -0400
From: "Bernhard Koenig" <[email-masked]>
To: [email-masked]
Subject: Bug : 23.0.60; "customize emacs" overwrites "custom-set-variables" in .emacs

I used the "customize emacs" options and made permanent changes
(regarding fonts if I remember correctly). Emacs
changed the .emacs file on disk and modified the
"custom-set-variables". The problem was that all the old
custom-set-variables (like tex-output-view-style and stuff) were
completely overwritten.

Don't know if this is intended but it's quite annoying.